curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/shipping/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"sortBy": "createdBy",
"filters": {
"name": "UPS",
"description": "UPS for 2-5 days",
"deleted": "false",
"addressType": [
"APO"
],
"createdAt": {
"lt": "2022-09-11T23:12:00.123Z"
},
"createdBy": "USER-1"
},
"limit": 10,
"offset": 0,
"sortDirection": "desc"
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/shipping/query"
payload = {
"sortBy": "createdBy",
"filters": {
"name": "UPS",
"description": "UPS for 2-5 days",
"deleted": "false",
"addressType": ["APO"],
"createdAt": { "lt": "2022-09-11T23:12:00.123Z" },
"createdBy": "USER-1"
},
"limit": 10,
"offset": 0,
"sortDirection": "desc"
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
sortBy: 'createdBy',
filters: {
name: 'UPS',
description: 'UPS for 2-5 days',
deleted: 'false',
addressType: ['APO'],
createdAt: {lt: '2022-09-11T23:12:00.123Z'},
createdBy: 'USER-1'
},
limit: 10,
offset: 0,
sortDirection: 'desc'
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/shipping/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 100,
"limit": 10,
"offset": 1
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Filter shipping methods
Gets shipping method by specified filter criteria.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
Filter criteria
Sorting criteria
"createdBy"
Show child attributes
Show child attributes
{
"name": "UPS",
"description": "UPS for 2-5 days",
"deleted": "false",
"addressType": ["APO"],
"createdAt": { "lt": "2022-09-11T23:12:00.123Z" },
"createdBy": "USER-1"
}
Ending record number (from the offset number) in the response. When no value is provided, the default value is 10.
10
Starting number of the record (within the total number of records) in the response. Offset is zero-based. That is, the 10th record is at offset 9 starting from the 0th record. When no value is provided, the default value is 0
0
Sorting direction - ascending or descending
asc, desc "desc"
Response
OK
Pagination details
Total number of records
100
Ending record number (from the offset number) in the response. When no value is provided, the default value is 10
10
Starting number of the record (within the total number of records) in the response. Offset is zero-based. That is, the 10th record is at offset 9 starting from the 0th record. When no value is provided, the default value is 0
1
Was this page helpful?
